package com.palserv.component;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import java.util.*;

public class TestDateBox extends JApplet {
	JTextField jta;
	DateBox db;
	String dfName;
	String useDate;
	JPanel makeContentPane() {
		JPanel main = new JPanel();

		main.setLayout(new BorderLayout());
		jta = new JTextField(10);
		jta.setText("Test DateBox");
		db = new DateBox(dfName);
		main.add("North",jta);
		main.add("Center",db);
		JButton getDate = new JButton("Get Date");
		getDate.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ae) {
				jta.setText(db.getText());
			}
		});
		main.add("South",getDate);

		return main;
	}

	public void init() {
		setContentPane(makeContentPane());
	}

	public static void main(String[] args) {
		JFrame aFrame = new JFrame("Test DateBox");
		aFrame.addWindowListener(
			new WindowAdapter() {
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			}
		);
		String dfs = null;
		String ud = null;
		for (int i = 0; i < args.length; i ++) {
			if (args[i].substring(0,1).equals("-")) {
				if (args[i].substring(1,2).equals("f")) {
					dfs = args[i].substring(2);
				}
				if (args[i].substring(1,2).equals("u")) {
					ud = args[i].substring(2);
				}
			}
		}
		TestDateBox myapp = new TestDateBox();
		myapp.dfName = dfs;
		myapp.useDate = ud;
		Container apane = myapp.makeContentPane();
		aFrame.setContentPane(apane);

		aFrame.setSize(149,233);
		aFrame.pack();
		aFrame.setVisible(true);
	}
}
